Skip to main content
GET
List Infraction Reports

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:10

Maximum number of items per page.

Required range: 1 <= x <= 100
page
integer
default:1

Page number for pagination.

Required range: x >= 1
sort_order
enum<string>
default:asc

Sort direction: asc or desc.

Available options:
asc,
desc
status
enum<string>

Filter by infraction status (OPEN, ACKNOWLEDGED, CLOSED, CANCELLED).

Available options:
OPEN,
ACKNOWLEDGED,
CLOSED,
CANCELLED
transaction_id
string

Filter by the SPI transaction identifier associated with the report.

reporter_participant
string

Filter by the ISPB of the reporting participant.

counterparty_participant
string

Filter by the ISPB of the counterparty institution.

analysis_result
enum<string>

Filter by the BACEN analysis result (AGREED or DISAGREED).

Available options:
AGREED,
DISAGREED
modified_after
string

Filter by records modified after this timestamp (RFC3339 format: 2024-01-15T10:30:00Z).

modified_before
string

Filter by records modified before this timestamp (RFC3339 format: 2024-01-15T10:30:00Z).

Response

List of infraction reports retrieved successfully.

items
object[]
page
integer
Example:

1

limit
integer
Example:

10